gap.inspect {bio3d} | R Documentation

## Alignment Gap Summary

### Description

Report the number of gaps per sequence and per position for a given alignment.

### Usage

    gap.inspect(x)

### Arguments

`x` | a matrix or an alignment data structure obtained from `read.fasta` or `read.fasta.pdb`.

### Details

Reports the number of gap characters per row (i.e. sequence) and per column (i.e. position) for a given `alignment`. In addition, the indices for gap and non-gap containing coloums are returned along with a binary matrix indicating the location of gap positions.

### Value

Returns a list object with the following components:

`row` | a numeric vector detailing the number of gaps per row (i.e. sequence).
`col` | a numeric vector detailing the number of gaps per column (i.e. position).
`t.inds` | indices for gap containing coloums
`f.inds` | indices for non-gap containing coloums
`bin` | a binary numeric matrix with the same dimensions as the `alignment`, with 0 at non-gap positions and 1 at gap positions.

### Note

During alignment, gaps are introduced into sequences that are believed to have undergone deletions or insertions with respect to other sequences in the alignment. These gaps, often referred to as indels, can be represented with ‘NA’, a ‘-’ or ‘.’ character.

This function gives an overview of gap occurrence and may be useful when considering positions or sequences that could/should be excluded from further analysis.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`read.fasta`, `read.fasta.pdb`

### Examples

    aln <- read.fasta( system.file("examples/hivp_xray.fa",
                       package = "bio3d") )

    gap.stats <- gap.inspect(aln$ali)
    gap.stats$row # Gaps per sequence
    gap.stats$col # Gaps per position
    ##gap.stats$bin # Binary matrix (1 for gap, 0 for aminoacid)
    ##aln[,gap.stats$f.inds] # Alignment without gap positions

    plot(gap.stats$col, typ="h", ylab="No. of Gaps")

[Package bio3d version 2.3-4 Index]